/*
Theme Name: Nifty 2024
Template: twentytwentyone
Author: Nifty Development
Author URI: https://niftymarketing.com/
Description: A lightweight theme for use of our clients.
Version: 2.1
*/

/*Theme Variables*/
:root{
	/*site colors*/
	--color-1: #020316;
	--color-2: #182244;
	--color-3: #3d82dc;
	--color-4: #35498d;
	--white: #ffffff;
	--black: #000000;
	--bg-footer: #040626;
	--dot: #b9b9ba;

	/*font sizes*/
	--fsize-xl: clamp(40px, 5.8vw, 85px);
    --fsize-lg: clamp(32px, 4.6vw, 90px);
	--fsize-md: clamp(28px, 2.3vw, 40px);
	--fsize-sm: clamp(20px, 1.6vw, 30px);
	--fsize-default: clamp(16px, 1vw, 18px); /*ADA requires at least 16px*/

	/*font families*/
	--heading-font: "Cormorant Garamond", serif;
	--text-font: "Roboto", sans-serif;
}

/*Default Overall Styles*/
html, body{scroll-behavior: smooth; font-size: var(--fsize-default); font-variant-ligatures: none; overflow-anchor: none;}
body{margin:0; -webkit-font-smoothing: antialiased;-moz-osx-font-smoothing: grayscale;text-rendering: optimizeLegibility;font-family: var(--text-font);line-height: 1.5em;}
*{box-sizing: border-box; -webkit-appearance: none;font-family:inherit; max-width: 100%;}
/* lazy loading flow fixes */
img{object-fit:contain;min-width:1px; height: auto;}
figure.is-style-rounded img {border: 2px solid var(--color-3); border-radius: 50%;}
a{text-decoration:none;transition: ease all .25s;}
a:hover{color: var(--color-3);}
nav a:hover {color: var(--white); opacity: 1;}
nav a {padding: .25em .8em; color: var(--white);opacity: 0.6; text-transform: uppercase;font-weight:500;}
article a {text-decoration: underline;text-underline-position: under;text-decoration-thickness: 2px;}
code, pre, kbd, samp {font-family: monospace;}
section {overflow: hidden;position:relative;}

/*Font Defaults*/
h1, h2, h3, h4, h5, h6{font-family: var(--heading-font); line-height: 1.25em;margin-bottom:0.5em;}
body, p, ul, ol, li{font-family: var(--text-font); line-height: 1.5em;}
h1{font-size:var(--fsize-xl); filter: drop-shadow(0px 17px 8.5px #000000); text-transform: uppercase;}
h2{font-size:var(--fsize-lg); text-transform: uppercase; line-height: 1;letter-spacing: -.1vw;}
h3{font-size:var(--fsize-md);}
h4{font-size:var(--fsize-sm);}

.bg-text {position: absolute; top: 6px; z-index: 0; margin-block: 120px 0; line-height: 0.85; border-top:7px solid white; border-bottom:7px solid white; font-size: clamp(40px, 11.3vw, 180px);letter-spacing: -10px;text-transform: uppercase;color: #ffffff; opacity: 0.26; font-weight: 700;font-family: "Cormorant Garamond";}
.bg-text::before {content: ''; position: absolute; top: -30px;left: -50px;width: 30%;height: 130%; background-image: linear-gradient(270deg, rgba(2,3,22,0) 0%, rgba(2,3,22,0.9999999999999999) 100%);}
.bg-text::after {content: ''; position: absolute; top: -30px;right: -50px;width: 30%;height: 130%; background-image: linear-gradient(90deg, rgba(2,3,22,0) 0%, rgba(2,3,22,0.9999999999999999) 100%);}
.bg-text .spacer {font-size: 0.8em;position: relative;bottom: .1em;}
.wp-block-button {border: 2px solid var(--color-3); padding: 3px; transition: all 0.2s ease-in-out; width: fit-content;}
.wp-block-button .wp-element-button {transition: all 0.2s ease-in-out; border: 1px solid var(--color-3); padding: 13px 20px; font-size: 17px; font-weight: 500;display: inline-block; width: 280px; text-align: center; color: var(--color-3); text-transform: uppercase; text-decoration: none;}
.wp-block-button.blue-btn .wp-element-button {background-color: var(--color-3); color: var(--white);}

.wp-block-button:not(.blue-btn):has(.wp-element-button:hover) { border-color: white;}

.wp-block-button .wp-element-button:hover {color: white; border-color: white;}
.wp-block-button.blue-btn .wp-element-button:hover {background-color: transparent; color: var(--color-3); border-color: var(--color-3);}

.above-title {color: var(--color-3);font-weight: 700;font-family: "Cormorant Garamond"; text-transform: uppercase; font-size: clamp(22px, 2.3vw, 50px); margin: 0; line-height: 1;letter-spacing: -.1vw;}
/*Layout*/
.section-padding{padding: 5% 0;}
.content-width{width: 1365px; max-width: 100%; padding: 0 15px; margin: 0 auto;}

.flex{display: flex; flex-wrap: wrap;}
.slider-wrapper{max-width:2500px; margin:0 auto; overflow:hidden;}
.box-3col > .wp-block-group__inner-container {display: grid; grid-template-columns: repeat(3, 1fr); gap: 10px;}
.box-2col > .wp-block-group__inner-container {display: grid; grid-template-columns: repeat(2, 1fr); gap: 10px;}

/* slider */

.slider {width: 100%;}

.slider > .wp-block-group__inner-container { display: flex; flex-direction: column;align-items: center; justify-content: center;position: relative; width: 100%}

.slider-line > .wp-block-group__inner-container {display: flex; width: 100%; transition: all 0.4s linear;}
.slider-line { overflow: hidden; width: 100%; padding-block: 50px; display: flex; justify-content: center;}
/*.slider-controls .slider-arrow {transition: all 0.2s ease-in-out;}*/
/*.slider-controls .slider-arrow > .wp-block-group__inner-container {display: flex; align-items: center; justify-content: center; width: 50px; height: 50px; background-color: var(--white-text); border-radius: 50%; cursor: pointer;}*/
/*.slider-controls .right-arrow svg {transform: rotate(45deg);}*/
/*.slider-controls .left-arrow svg {transform: rotate(225deg);}*/
.dots-wrapper {align-self: end; position: relative; width: 100%;display: flex;justify-content: center;}
.dots-wrapper > .wp-block-group__inner-container {display: flex; gap: 7px; align-items: center; cursor: pointer;}
.slider-dot {border-radius: 50%;background: var(--dot);width: 8px;height: 8px;cursor: pointer; transition: all 0.2s ease-in-out;}
.slider-dot:hover {opacity: 0.5; background-color: var(--color-2);}
.slider-dot.active-dot {background-color: var(--color-2);}

.slide {position: relative; height: fit-content; }
/*.slide, .slide > .wp-block-group__inner-container {height: 100%;}*/

/* ADA header */
.masthead{padding: 10px 25px 15px;}
.masthead ul{list-style: none; margin: 0; padding: 0;}
.skip-bar{position: absolute; display: block; width: 100%; text-align: center; height: 0; overflow: hidden; background:white; color:black; font-weight:600; top: 0; left: 0; z-index: 10;}
.skip-bar:focus{height: auto; padding: 20px;}
.inner-masthead{justify-content: space-between; align-items: center; padding-inline: 50px;}
header .logo-container img {width:130px;}

.mobile-nav-input{display: none;}
#menu-main{padding: 0; font-weight:800; text-transform: uppercase;}
.masthead ul .current-menu-item > a:first-child{color:var(--color-3); opacity: 1; font-weight: 500;}
.menus{ justify-content: flex-end;padding: 0 0 .5em .5em;}
.menus li:last-child a {padding-right: 0;}
.header-call-box{display:flex; align-items:center; justify-content:flex-end; gap:15px; color: var(--color-3); font-size: 18px; text-transform: uppercase;}
.header-call-box p {margin-block: 10px;}
.header-phone-number {font-weight: 700; color:var(--color-3);}
.header-phone-number svg{width:15px; height:15px; margin-right: 5px;}
.header-phone-number:hover {color: var(--white);}
#menu-header-menu > li .sub-menu a{padding:.25em .5em .25em 0;}
@media (min-width: 1500px){
	.content-width{width: 1800px; max-width: 90%; padding: 0 15px; margin: 0 auto;}
}
@media (min-width: 1001px){
	/* 	"FIXED" IS AN ANIMATEABLE CLASS FOR SMOOTH ANIMATION ON MASTHEAD */
	.masthead.fixed{position: fixed; left: 0; width: 100%; z-index: 1000; top: 0;}
	.masthead.fixed:before{content: ''; position: absolute; top: 0%; left: 0%; width: 100%; height: 0; background: var(--color-1); transition: ease .5s; z-index: -1;border:1px solid black; box-shadow:0 0 11px rgba(0,0,0,.5);}
	.masthead.fixed.active:before{height:100%;}

	body.admin-bar .masthead {top: 32px;}
	.mobile-nav{display: none;}
	.masthead ul {display: flex; }
	#menu-main{display: flex; margin: 0; flex-wrap: wrap; justify-content: flex-end;gap:1em;}
	#menu-header-menu > li{position: relative; margin-bottom: 0!important;}
	.sub-menu{position: absolute; top: 100%; left: 0; background: transparent; backdrop-filter: blur(0px); height: 0; overflow: hidden; z-index: 1000; box-shadow: 0 2px 7px rgba(0,0,0,.4);}
	.sub-menu .sub-menu{left: 99%; top: 0;}
	#menu-header-menu > li:hover > .sub-menu, .masthead #menu-header-menu > li > a:focus + .sub-menu, .masthead #menu-header-menu > li:focus-within > .sub-menu{height: auto; padding: 15px 0 15px 15px; min-width: max-content; overflow: initial;border: 1px solid rgba(255, 255, 255, .6);background:var(--color-1);}
	.sub-menu > li{position: relative; padding-right: 15px;}
	#menu-header-menu > li:hover > .sub-menu {margin-top: 10px;flex-direction:column;}
	#menu-header-menu > li> .sub-menu:before {content: '';display: block;height: 15px;width: 100%;position: absolute;top: -14px;left: 0;}
	.sub-menu > li:hover > .sub-menu, .sub-menu > li > a:focus + .sub-menu, .sub-menu > li:focus-within > .sub-menu{padding: 15px; width: initial; height: initial; min-width: 225px; border: 1px solid white;}

	#menu-main > li:nth-last-child(-n + 3) .sub-menu{left:unset; right:0;}

}

@media(max-width: 1000px){
	h2{letter-spacing: -.2vw;}
	.content-width {max-width: 100%;}
	.inner-masthead  {padding-inline: 0; position: relative;}
	.masthead{position: absolute; width: 100%; z-index: 10;}
	.masthead .header-content {display: flex;flex-direction: column;align-items: end;}
	.menus{width: 20%;}
	.mobile-nav{font-size: 44px; transform: scaleX(1.55); color: var(--white); outline: none; cursor: pointer;}
	.main-nav ul li {margin-block: 10px;}
	.main-nav a {color: var(--color-1); opacity: 1; font-size: 20px; font-weight: 500;display: block;}
	.main-nav a:hover {color: var(--color-3);}
	.main-nav{position: absolute; top: 100%; width: 100%; left: 0; background: white; box-shadow: 0 5px 10px rgba(0,0,0,.3); padding: 0 25px; height: 0; overflow: hidden; transition: padding .25s; z-index:1000;}
	#mobile-nav-input:checked + * + .main-nav{height: auto; padding: 10px 25px; }
	#menu-header-menu .sub-menu{display: none;}
	#menu-header-menu li a{outline-color: var(--color-1);}
	#menu-header-menu .sub-menu{display: none; transition:ease.3s; padding:0;}
	#menu-header-menu .sub-menu.active{display: block; padding:0 15px;}
	#menu-header-menu .sub-menu.active li{padding:5px 0;}
	.menu-item-has-children{position:relative;}
	.menu-arrow{content: ''; position: absolute; width: 15px; height: 15px; border-bottom: 4px solid var(--color-1); border-right: 4px solid var(--color-1); transform: rotate(45deg); top: 7px; right:5%;transition:ease .3s;}
	.menu-arrow:before {content: '';display: block;width: 40px;height: 40px;top: -13px;position: relative;left: -13px;}
	.masthead .sub-menu.active + .menu-arrow{transform: rotate(225deg);top:10px;}
	figure img{height:auto;}

	.box-3col > .wp-block-group__inner-container {grid-template-columns: 1fr 1fr;}
	.box-2col > .wp-block-group__inner-container {grid-template-columns: 1fr;}
}
@media(max-width: 750px) {
	.masthead .header-content {width: 100%; gap: 10px; padding-top: 120px; flex-direction: row; align-items: center; justify-content: space-between;}
	header .logo-container {position: absolute; top: 10px; width: 100%; display: flex; justify-content: center;}
	header .logo-container a {display: flex; justify-content: center;}
	header .logo-container img {width: 76%;}
	.header-call-box {align-self: center;}
	.bg-text {letter-spacing: -7px; margin-top: 200px; border-width: 3px;}
	.bg-text::before, .bg-text::after {height: 150%; top: -10px;}
	.box-3col > .wp-block-group__inner-container {grid-template-columns: 1fr;}
}
@media(max-width: 480px){
	.header-call-box {flex-direction: column-reverse;align-items: center;gap: 0;line-height: 1;font-size: 1.2em;}
	.header-call-box a {flex-direction: column; align-self: center; text-align: center;}
	.header-call-box p {margin: 0;}
	header .main-menu li {font-size: 18px;}
}
/* Forms */
textarea {width:100%;height:150px;}
input[type=date], input[type=datetime-local], input[type=datetime], input[type=email], input[type=month], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=time], input[type=url], input[type=week], select, textarea {margin:0; padding:1em;width:100%;border:1px solid;}
input[type=submit], button {border:none;background:var(--color-1);padding:.5em 1em;cursor:pointer;font-size:inherit;}
.gfield_label {margin-top:1em;margin-bottom: .25em;font-weight: 600;display: flex;gap:0.25em;}
.gfield_required {font-size: .85em;color: #c02b0a;display: inline-block;text-transform: uppercase;font-weight: 400;}
.gfield_label_before_complex {display:none}
fieldset {border: none; margin: 0; padding: 0;}
.gchoice {display: flex;gap: 1em;align-items: center;margin:1em 0;cursor:pointer;width:fit-content;}
.gchoice input[type=checkbox] {appearance: none;color: var(--color-1);width: 1.5em;
height: 1.5em;border: 2px solid;border-radius: 3px;display: flex;align-items: center;justify-content: center;transition: ease all .25s;cursor:inherit;}
.gchoice input[type=checkbox]::before {content: url("data:image/svg+xml,%3Csvg fill='%23FFF' xmlns='http://www.w3.org/2000/svg' viewBox='25 25 50 50'%3E%3Cpath d='m64 985.393-3.531 3.532-16.719 16.718-4.469-3.937-3.75-3.281-6.593 7.53 3.78 3.282 8 7 3.5 3.094 3.313-3.313 20-20 3.531-3.53L64 985.392z' overflow='visible' transform='translate(0 -952.362)'/%3E%3C/svg%3E");width: 100%;height: 100%;opacity: 0;transition: ease opacity .25s;}
.gchoice input[type=checkbox]:checked {background: var(--color-1);}
.gchoice input[type=checkbox]:checked::before {opacity: 1;}
label {user-select: none;cursor:inherit;}

/* Built In WP Classes */
figure {display:inline-block;margin:0;}
.aligncenter {display:block;margin: 0 auto; width:fit-content;}
.has-text-align-center {text-align:center;}
.has-text-align-right {text-align: right;}
.is-layout-flex{display:flex;}
.is-content-justification-center{justify-content:center;}
.is-content-justification-left{justify-content:flex-start;}
.is-content-justification-right{justify-content:flex-end;}
.are-vertically-aligned-center{align-items:center;}
/* DEFAULT CLASSES FOR ANIMATIONS */
.transition{transition:ease 1s;}
.fade-left{opacity:0; transform:translate(-100%, 0);}
.fade-right{opacity:0; transform:translate(100%, 0);}
.fade-up{opacity:0; transform:translate(0, 100%);}
.fade-down{opacity:0; transform:translate(0, -100%);}
.ghost-in{opacity:0;}
.transition.active{opacity:1; transform:none;transition:ease 1s;}